using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class KillProcessRequestPacket : IPacket
{
	public int Pid { get; set; }

	public KillProcessRequestPacket()
	{
	}

	public KillProcessRequestPacket(int pid)
	{
		Pid = pid;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Pid);
	}

	public void Read(BinaryReader r)
	{
		Pid = r.ReadInt32();
	}
}
